From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/pnp4nagios/
Date: Wed, 16 Dec 2015 22:11:56 +0000 (UTC) [thread overview]
Message-ID: <1450303886.e754036202667776fef04ba66c0dd04bc8dd76ea.prometheanfire@gentoo> (raw)
commit: e754036202667776fef04ba66c0dd04bc8dd76ea
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 16 22:11:26 2015 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Dec 16 22:11:26 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7540362
net-analyzer/pnp4nagios: fix bug 568444
Package-Manager: portage-2.2.24
.../pnp4nagios/pnp4nagios-0.6.25-r1.ebuild | 106 +++++++++++++++++++++
1 file changed, 106 insertions(+)
diff --git a/net-analyzer/pnp4nagios/pnp4nagios-0.6.25-r1.ebuild b/net-analyzer/pnp4nagios/pnp4nagios-0.6.25-r1.ebuild
new file mode 100644
index 0000000..7bbcb57
--- /dev/null
+++ b/net-analyzer/pnp4nagios/pnp4nagios-0.6.25-r1.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit depend.apache eutils
+
+DESCRIPTION="A performance data analyzer for nagios"
+HOMEPAGE="http://www.pnp4nagios.org/"
+SRC_URI="mirror://sourceforge/${PN}/PNP-0.6/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+
+# A lot of things (sync mode, for one) are broken with nagios-4.x.
+DEPEND="
+ dev-lang/php:*[filter,gd,json,simplexml,xml,zlib]
+ >=net-analyzer/rrdtool-1.2[graph,perl]
+ || ( <net-analyzer/nagios-core-4 net-analyzer/icinga net-analyzer/icinga2 )"
+
+# A list of modules used in our Apache config file.
+APACHE_MODS="apache2_modules_alias," # "Alias" directive
+APACHE_MODS+="apache2_modules_authz_core," # "Require" directive
+APACHE_MODS+="apache2_modules_rewrite" # "RewriteEngine" and friends
+
+RDEPEND="${DEPEND}
+ virtual/perl-Getopt-Long
+ virtual/perl-Time-HiRes
+ media-fonts/dejavu
+ apache2? ( >=www-servers/apache-2.4[${APACHE_MODS}] )"
+
+# There is no want_apache2_4, but we needed to specify that manually
+# anyway to be able to include the list of modules.
+want_apache2
+
+pkg_setup() {
+ depend.apache_pkg_setup
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-0.6.14-makefile.patch"
+}
+
+src_configure() {
+ local var_dir=
+ local user_group=
+
+ if has_version net-analyzer/nagios-core; then
+ var_dir=/var/nagios/
+ user_group=nagios
+ else
+ var_dir=/var/lib/icinga/
+ user_group=icinga
+ fi
+
+ econf \
+ --sysconfdir=/etc/pnp \
+ --datarootdir=/usr/share/pnp \
+ --mandir=/usr/share/man \
+ --with-perfdata-dir=${var_dir}/perfdata \
+ --with-nagios-user=${user_group} \
+ --with-nagios-group=${user_group} \
+ --with-perfdata-logfile=${var_dir}/perfdata.log \
+ --with-perfdata-spool-dir=/var/spool/pnp
+}
+
+src_compile() {
+ # The default target just shows a help
+ emake all
+}
+
+src_install() {
+ emake DESTDIR="${D}" install install-config
+ newinitd "${FILESDIR}"/npcd.initd npcd
+ rm "${D}/usr/share/pnp/install.php" || \
+ die "unable to remove ${D}/usr/share/pnp/install.php"
+
+ if use apache2 ; then
+ insinto "${APACHE_MODULES_CONFDIR}"
+ newins "${FILESDIR}"/98_pnp4nagios-2.4.conf 98_pnp4nagios.conf
+
+ # Allow the apache user to read our config files. This same
+ # approach is used in net-analyzer/nagios-core.
+ chgrp -R apache "${D}/etc/pnp" \
+ || die "failed to change group of ${ROOT}etc/pnp"
+ fi
+
+ # Bug 430358 - CVE-2012-3457
+ find "${D}/etc/pnp" -type f -exec chmod 0640 '{}' + || \
+ die "unable to set file permissions under ${D}/etc/pnp"
+
+ find "${D}/etc/pnp" -type d -exec chmod 0750 '{}' + || \
+ die "unable to set directory permissions under ${D}/etc/pnp"
+}
+
+pkg_postinst() {
+ elog "To enable the pnp4nagios web front-end, please visit"
+ elog "${ROOT}etc/conf.d/apache2 and add \"-D PNP -D PHP5\""
+ elog "to APACHE2_OPTS. Then pnp4nagios will be available at,"
+ elog
+ elog " http://localhost/pnp4nagios"
+ elog
+}
next reply other threads:[~2015-12-16 22:12 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-12-16 22:11 Matt Thode [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-02-01 14:45 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/pnp4nagios/ Matt Thode
2016-02-06 23:31 Matt Thode
2016-03-15 11:08 Agostino Sarubbo
2016-11-30 23:44 Patrice Clement
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-04 23:40 Michael Orlitzky
2017-11-29 13:38 Agostino Sarubbo
2017-11-29 18:52 Thomas Deutschmann
2018-03-19 22:39 Sergei Trofimovich
2018-03-19 23:24 Sergei Trofimovich
2018-06-19 22:24 Michael Orlitzky
2020-02-17 23:37 Matthew Thode
2020-03-17 7:32 Matthew Thode
2022-08-03 16:12 Arthur Zamarin
2022-08-12 14:27 Sam James
2022-08-29 12:38 Jakov Smolić
2022-08-30 10:06 Michael Orlitzky
2022-12-23 12:17 Sam James
2022-12-23 13:48 Arthur Zamarin
2022-12-23 13:48 Arthur Zamarin
2023-09-23 15:07 Michael Orlitzky
2023-09-23 15:07 Michael Orlitzky
2023-11-04 10:49 Sam James
2023-11-04 12:25 Sam James
2023-11-04 13:35 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1450303886.e754036202667776fef04ba66c0dd04bc8dd76ea.prometheanfire@gentoo \
--to=prometheanfire@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox